Skip to main content
Welcome to the preview portal — This is an early release of the new Doc Hub experience, with more content coming soon.

Data Only: Mastercard Use Cases


3-D Secure Data Only is a solution that shares data that merchants collect during transactions with the issuer, so that the issuers can make more informed authorization decisions for future transactions. Data Only uses the 3-D Secure infrastructure, but it is not a complete 3-D Secure authentication. 3-D Secure Data Only is a frictionless experience.

Mastercard has two options for Data Only:

  • Mastercard Data Share Only: This option mirrors the Visa Data Only program by allowing the AReq message to reach the Issuer. The Issuer can then obtain all of the enhanced data and link that information on the authorization message.
  • Mastercard Identity Check Insights: This option stops the AReq at the Mastercard Directory Server. Mastercard returns a Data Only response to the merchant and then passes a risk score outside of the transaction flow to the Issuer that the Issuer can append to the authorization to aid in their decision process.

Mastercard Data Only (Data Share Only)

Mastercard has a Data Only data flow so that merchants can share customer data with the issuers without going through authentication. Data Only data flows are frictionless and do not affect the customer experience.

When sending a Mastercard Data Only check enrollment request, be sure to include all of the required fields and set the consumerAuthenticationInformation.challengeCode to 06.

The response from the Data Only request includes this data:

  • ECI = 06
  • CAVV value
  • Directory server transaction ID
  • paresStatus = I
  • Risk score
  • Reason code

This data from the response must be included in the authorization request.

POST /pts/v2/payments

POST /pts/v2/payments

POST /pts/v2/payments

Example: Mastercard Data Only

{    "clientReferenceInformation": {        "code": "test"    },    "customerInformation": {        "merchantCustomerId": "SW489TT19"    },    "orderInformation": {        "amountDetails": {            "currency": "USD",            "totalAmount": "10.99"        },        "billTo": {            "address1": "1 Market St",            "address2": "Address 2",            "administrativeArea": "CA",            "country": "US",            "locality": "san francisco",            "firstName": "Test",            "lastName": "Testlastname",            "phoneNumber": "4158880000",            "email": "[email protected]",            "postalCode": "94105"        }    },    "paymentInformation": {        "card": {            "expirationMonth": "05",            "expirationYear": "2029",            "number": "52XXXXXXXXXX28X5"        }    },    "deviceInformation": {        "httpAcceptBrowserValue": "data",        "httpAcceptContent": "pa_http_user_accept_value",        "httpBrowserLanguage": "en_us",        "httpBrowserJavaEnabled": false,        "httpBrowserJavaScriptEnabled": false,        "httpBrowserColorDepth": "24",        "httpBrowserScreenHeight": "864",        "httpBrowserScreenWidth": "1536",        "httpBrowserTimeDifference": "300",        "userAgentBrowserValue": "123"    },    "consumerAuthenticationInformation": {        "deviceChannel": "Browser",        "challengeCode": "06",        "scoreRequest": "N"    }}
{    "clientReferenceInformation": {        "code": "test"    },    "consumerAuthenticationInformation": {        "eciRaw": "06",        "challengeRequired": "N",        "authenticationTransactionId": "KjNeRerYgMLXJD8gzC51",        "strongAuthentication": {            "OutageExemptionIndicator": "0"        },        "effectiveAuthenticationType": "FR",        "authorizationPayload": "eyJjb250YWluZXJWZXJzaW9uIjoiMSIsImVjaSI6IjA0IiwiYXV0aGVudGljYXRpb25WYWx1ZSI6IkFKa0JCa2hnUVFBQUFFNGdTRUp5ZFFBQUFBQT0iLCJlZmZlY3RpdmVBdXRoVHlwZSI6IkZSIiwiYWNzT3BlcmF0b3JJRCI6Ik1lcmNoYW50QUNTIiwidGhyZWVEU1JlcXVlc3RvckNoYWxsZW5nZUluZCI6IjAxIiwidHJhbnNTdGF0dXMiOiJVIiwidHJhbnNTdGF0dXNSZWFzb24iOiI4MCIsImRzVHJhbnNJRCI6IjQxMzVkMzljLWNiNDMtNGM0Zi04MWJmLTliMzc5N2QzYjhmOSIsImFjc1RyYW5zSUQiOiI5OWIzODcyYy04ZTM2LTQ5ZGQtYjgyNi1iNGYwYzU4M2Y4MjUiLCJtZXNzYWdlVmVyc2lvbiI6IjIuMi4wIiwibWVyY2hhbnROYW1lIjoiUEFUZXN0NCIsInB1cmNoYXNlRGF0ZSI6IjIwMjUwNDI1MDUzODAwIiwicHVyY2hhc2VBbW91bnQiOiIxMDk5IiwibWVyY2hhbnRDb3VudHJ5Q29kZSI6Ijg0MCIsImFjcXVpcmVyQklOIjoiOTkwMDMzIiwiYWNxdWlyZXJNZXJjaGFudElEIjoiZGVmYXVsdCIsInRocmVlRFNSZXF1ZXN0b3JOYW1lIjoiQ0FSMTM0NzNfUEFUZXN0NCIsInRocmVlRFNSZXF1ZXN0b3JJRCI6IkNBUjEzNDczX2RlZmF1bHQiLCJjYXJkQnJhbmQiOiJNQVNURVJDQVJEIn0=",        "token": "AxjzbwSTlCspnzdze9IJAEQCTRdt8KnmkC4lp/UMm2OKOPlRqQoCwAAASAee",        "paresStatus": "I",        "acsReferenceNumber": "CardinalACS",        "ucafCollectionIndicator": "6",        "ucafAuthenticationData": "AJkBBkhgQQAAAE4gSEJydQAAAAA=",        "directoryServerTransactionId": "4135d39c-cb43-4c4f-81bf-9b3797d3b8f9",        "veresEnrolled": "Y",        "threeDSServerTransactionId": "9c4d80a0-1624-4061-8f08-78c59b335e8c",        "acsOperatorID": "MerchantACS",        "ecommerceIndicator": "spa",        "specificationVersion": "2.2.0",        "acsTransactionId": "99b3872c-8e36-49dd-b826-b4f0c583f825"    },    "id": "7455594797856844403209",    "paymentInformation": {        "card": {            "bin": "520000",            "type": "MASTERCARD"        }    },    "status": "AUTHENTICATION_SUCCESSFUL",    "submitTimeUtc": "2025-04-25T05:38:01Z"}

Example: Bundled Authentication and Authorization with Mastercard Data Only

{    "clientReferenceInformation": {        "code": "test"    },    "customerInformation": {        "merchantCustomerId": "SW489TT19"    },    "orderInformation": {        "amountDetails": {            "currency": "USD",            "totalAmount": "10.99"        },        "billTo": {            "address1": "1 Market St",            "address2": "Address 2",            "administrativeArea": "CA",            "country": "US",            "locality": "san francisco",            "firstName": "Test",            "lastName": "Testlastname",            "phoneNumber": "4158880000",            "email": "[email protected]",            "postalCode": "94105"        }    },    "processingInformation": {        "actionList": [            "CONSUMER_AUTHENTICATION"        ]    },    "paymentInformation": {        "card": {            "expirationMonth": "05",            "expirationYear": "2029",            "number": "52XXXXXXXXXX28X5"        }    },    "deviceInformation": {        "httpAcceptBrowserValue": "data",        "httpAcceptContent": "pa_http_user_accept_value",        "httpBrowserLanguage": "en_us",        "httpBrowserJavaEnabled": false,        "httpBrowserJavaScriptEnabled": false,        "httpBrowserColorDepth": "24",        "httpBrowserScreenHeight": "864",        "httpBrowserScreenWidth": "1536",        "httpBrowserTimeDifference": "300",        "userAgentBrowserValue": "123"    },    "consumerAuthenticationInformation": {        "deviceChannel": "Browser",        "challengeCode": "06",        "scoreRequest": "N"    }}
{    "_links": {        "authReversal": {            "method": "POST",            "href": "/pts/v2/payments/7455833000666819803209/reversals"        },        "self": {            "method": "GET",            "href": "/pts/v2/payments/7455833000666819803209"        },        "capture": {            "method": "POST",            "href": "/pts/v2/payments/7455833000666819803209/captures"        }    },    "clientReferenceInformation": {        "code": "test"    },    "consumerAuthenticationInformation": {        "eciRaw": "06",        "challengeRequired": "N",        "authenticationTransactionId": "d94pknkLH4BhjWxylay1",        "strongAuthentication": {            "OutageExemptionIndicator": "0"        },        "effectiveAuthenticationType": "FR",        "authorizationPayload": "eyJjb250YWluZXJWZXJzaW9uIjoiMSIsImVjaSI6IjA0IiwiYXV0aGVudGljYXRpb25WYWx1ZSI6IkFKa0JCa2hnUVFBQUFFNGdTRUp5ZFFBQUFBQT0iLCJlZmZlY3RpdmVBdXRoVHlwZSI6IkZSIiwiYWNzT3BlcmF0b3JJRCI6Ik1lcmNoYW50QUNTIiwidGhyZWVEU1JlcXVlc3RvckNoYWxsZW5nZUluZCI6IjAxIiwidHJhbnNTdGF0dXMiOiJVIiwidHJhbnNTdGF0dXNSZWFzb24iOiI4MCIsImRzVHJhbnNJRCI6IjZhMGY0OTFhLWIxMDUtNDk4Zi05OTk3LTgxYTAyYjk5NzFjYSIsImFjc1RyYW5zSUQiOiJlOTFhODQ3Mi0yNGFhLTQ0ZGUtYTU0Yy00YWExNDVlN2NjZDMiLCJtZXNzYWdlVmVyc2lvbiI6IjIuMi4wIiwibWVyY2hhbnROYW1lIjoiUEFUZXN0NCIsInB1cmNoYXNlRGF0ZSI6IjIwMjUwNDI1MTIxNTAxIiwicHVyY2hhc2VBbW91bnQiOiIxMDk5IiwibWVyY2hhbnRDb3VudHJ5Q29kZSI6Ijg0MCIsImFjcXVpcmVyQklOIjoiNDY5MjE2IiwiYWNxdWlyZXJNZXJjaGFudElEIjoiZGVmYXVsdCIsInRocmVlRFNSZXF1ZXN0b3JOYW1lIjoiUEFUZXN0NCIsInRocmVlRFNSZXF1ZXN0b3JJRCI6IjEwMDUyMjM2KjU1ZWYzZWZiZjcyM2FhNDMxYzk5YWM0ZCIsImNhcmRCcmFuZCI6Ik1BU1RFUkNBUkQifQ==",        "token": "Axj/7wSTlC5342kEkThJAEQs3aNWrhmzYMGDZs2cMXLhgzZMHKaLtwTRfAk0Xbgmi/pAuJaf3DJtjijj5UakLAtJyhc78bSCSJwkgAAA4wBh",        "paresStatus": "I",        "acsReferenceNumber": "CardinalACS",        "ucafCollectionIndicator": "6",        "ucafAuthenticationData": "AJkBBkhgQQAAAE4gSEJydQAAAAA=",        "directoryServerTransactionId": "6a0f491a-b105-498f-9997-81a02b9971ca",        "veresEnrolled": "Y",        "threeDSServerTransactionId": "319f6440-64d6-4d49-bd27-d190bd418599",        "acsOperatorID": "MerchantACS",        "ecommerceIndicator": "spa",        "specificationVersion": "2.2.0",        "acsTransactionId": "e91a8472-24aa-44de-a54c-4aa145e7ccd3"    },    "id": "7455833000666819803209",    "issuerInformation": {        "clearingData": "6700040102F0F1"    },    "orderInformation": {        "amountDetails": {            "authorizedAmount": "10.99",            "currency": "USD"        }    },    "paymentAccountInformation": {        "card": {            "brandName": "MASTERCARD",            "type": "002"        }    },    "paymentInformation": {        "tokenizedCard": {            "type": "002"        },        "card": {            "bin": "520000",            "type": "002"        }    },    "processorInformation": {        "systemTraceAuditNumber": "061923",        "approvalCode": "831000",        "merchantAdvice": {            "code": "01",            "codeRaw": "M001"        },        "responseDetails": "ABC",        "networkTransactionId": "0425MCC444569",        "retrievalReferenceNumber": "511512061923",        "consumerAuthenticationResponse": {            "code": "2",            "codeRaw": "2"        },        "transactionId": "0425MCC444569",        "responseCode": "00",        "avs": {            "code": "Y",            "codeRaw": "Y"        }    },    "reconciliationId": "7455833000666819803209",    "status": "AUTHORIZED",    "submitTimeUtc": "2025-04-25T12:15:03Z",    "tokenInformation": {        "additionalInformation": "0"    }}

Required Fields for Mastercard Data Only

These fields are the minimum fields required when you request the Mastercard Data service.

Required Fields for Mastercard Data Only
buyerInformation.mobilePhone string

This field is required (when available) if buyerInformation.workPhone is not used, unless market or regional mandate restricts sending this information.

buyerInformation.workPhone string

This field is required (when available) if buyerInformation.mobilePhone is not used, unless market or regional mandate restricts sending this information.

clientReferenceInformation.code string
consumerAuthenticationInformation.challengeCode string

Set to 06 for data only.

deviceInformation.httpAcceptBrowserValue string
deviceInformation.httpAcceptContent string
deviceInformation.httpBrowserColorDepth string
deviceInformation.httpBrowserJavaEnabled boolean
deviceInformation.httpBrowserJavaScriptEnabled boolean
deviceInformation.httpBrowserLanguage string
deviceInformation.httpBrowserScreenHeight string
deviceInformation.httpBrowserScreenWidth string
deviceInformation.httpBrowserTimeDifference string
deviceInformation.ipAddress string
deviceInformation.userAgentBrowserValue string
orderInformation.amountDetails.currency string
orderInformation.amountDetails.totalAmount string
orderInformation.billTo.address1 string
orderInformation.billTo.administrativeArea string

This field is required for the US and Canada.

orderInformation.billTo.country string
orderInformation.billTo.email string
orderInformation.billTo.firstName string
orderInformation.billTo.lastName string
orderInformation.billTo.locality string
orderInformation.billTo.postalCode string
paymentInformation.card.expirationMonth string
paymentInformation.card.expirationYear string
paymentInformation.card.number string

Mastercard Identity Check Insights (IDCI)

Mastercard has an IDCI data flow so that merchants can share customer data with the issuers without going through authentication. Unlike the Data Only flow, the AReq remains at the Mastercard Directory Server. Using the device information and additional data, Mastercard calculates a risk score for the transaction that is then shared with the issuer during authorization. Mastercard IDCI data flows are frictionless and do not affect the customer experience.

When sending a Mastercard IDCI check enrollment request, be sure to include all of the required fields and set the consumerAuthenticationInformation.messageCategory to 80.

The response from the IDCI request includes this data:

  • ECI = 04
  • CAVV value
  • Directory server transaction ID
  • paresStatus = U
  • Risk score
  • Reason code

This data from the response must be included in the authorization request.

POST /pts/v2/payments

POST /pts/v2/payments

POST /pts/v2/payments

Example: Mastercard IDCI

{    "clientReferenceInformation": {        "code": "test"    },    "customerInformation": {        "merchantCustomerId": "SW489TT19"    },    "orderInformation": {        "amountDetails": {            "currency": "USD",            "totalAmount": "10.99"        },        "billTo": {            "address1": "1 Market St",            "address2": "Address 2",            "administrativeArea": "CA",            "country": "US",            "locality": "san francisco",            "firstName": "Test",            "lastName": "Testlastname",            "phoneNumber": "4158880000",            "email": "[email protected]",            "postalCode": "94105"        }    },    "paymentInformation": {        "card": {            "expirationMonth": "05",            "expirationYear": "2029",            "number": "52XXXXXXXXXX28X5"        }    },    "deviceInformation": {        "httpAcceptBrowserValue": "data",        "httpAcceptContent": "pa_http_user_accept_value",        "httpBrowserLanguage": "en_us",        "httpBrowserJavaEnabled": false,        "httpBrowserJavaScriptEnabled": false,        "httpBrowserColorDepth": "24",        "httpBrowserScreenHeight": "864",        "httpBrowserScreenWidth": "1536",        "httpBrowserTimeDifference": "300",        "userAgentBrowserValue": "123"    },    "consumerAuthenticationInformation": {        "deviceChannel": "Browser",        "messageCategory": "80",        "scoreRequest": "N"    }}
{    "clientReferenceInformation": {        "code": "test"    },    "consumerAuthenticationInformation": {        "eciRaw": "04",        "challengeRequired": "N",        "authenticationTransactionId": "KjNeRerYgMLXJD8gzC51",        "strongAuthentication": {            "OutageExemptionIndicator": "0"        },        "effectiveAuthenticationType": "FR",        "authorizationPayload": "eyJjb250YWluZXJWZXJzaW9uIjoiMSIsImVjaSI6IjA0IiwiYXV0aGVudGljYXRpb25WYWx1ZSI6IkFKa0JCa2hnUVFBQUFFNGdTRUp5ZFFBQUFBQT0iLCJlZmZlY3RpdmVBdXRoVHlwZSI6IkZSIiwiYWNzT3BlcmF0b3JJRCI6Ik1lcmNoYW50QUNTIiwidGhyZWVEU1JlcXVlc3RvckNoYWxsZW5nZUluZCI6IjAxIiwidHJhbnNTdGF0dXMiOiJVIiwidHJhbnNTdGF0dXNSZWFzb24iOiI4MCIsImRzVHJhbnNJRCI6IjQxMzVkMzljLWNiNDMtNGM0Zi04MWJmLTliMzc5N2QzYjhmOSIsImFjc1RyYW5zSUQiOiI5OWIzODcyYy04ZTM2LTQ5ZGQtYjgyNi1iNGYwYzU4M2Y4MjUiLCJtZXNzYWdlVmVyc2lvbiI6IjIuMi4wIiwibWVyY2hhbnROYW1lIjoiUEFUZXN0NCIsInB1cmNoYXNlRGF0ZSI6IjIwMjUwNDI1MDUzODAwIiwicHVyY2hhc2VBbW91bnQiOiIxMDk5IiwibWVyY2hhbnRDb3VudHJ5Q29kZSI6Ijg0MCIsImFjcXVpcmVyQklOIjoiOTkwMDMzIiwiYWNxdWlyZXJNZXJjaGFudElEIjoiZGVmYXVsdCIsInRocmVlRFNSZXF1ZXN0b3JOYW1lIjoiQ0FSMTM0NzNfUEFUZXN0NCIsInRocmVlRFNSZXF1ZXN0b3JJRCI6IkNBUjEzNDczX2RlZmF1bHQiLCJjYXJkQnJhbmQiOiJNQVNURVJDQVJEIn0=",        "signedParesStatusReason": "80",        "token": "AxjzbwSTlCspnzdze9IJAEQCTRdt8KnmkC4lp/UMm2OKOPlRqQoCwAAASAee",        "paresStatus": "U",        "acsReferenceNumber": "CardinalACS",        "ucafCollectionIndicator": "4",        "ucafAuthenticationData": "AJkBBkhgQQAAAE4gSEJydQAAAAA=",        "directoryServerTransactionId": "4135d39c-cb43-4c4f-81bf-9b3797d3b8f9",        "veresEnrolled": "Y",        "threeDSServerTransactionId": "9c4d80a0-1624-4061-8f08-78c59b335e8c",        "acsOperatorID": "MerchantACS",        "ecommerceIndicator": "spa",        "specificationVersion": "2.2.0",        "acsTransactionId": "99b3872c-8e36-49dd-b826-b4f0c583f825"    },    "id": "7455594797856844403209",    "paymentInformation": {        "card": {            "bin": "520000",            "type": "MASTERCARD"        }    },    "status": "AUTHENTICATION_SUCCESSFUL",    "submitTimeUtc": "2025-04-25T05:38:01Z"}

Example: Bundled Authentication and Authorization with Mastercard IDCI

{    "clientReferenceInformation": {        "code": "test"    },    "orderInformation": {        "amountDetails": {            "currency": "USD",            "totalAmount": "10.99"        },        "billTo": {            "address1": "1 Market St",            "administrativeArea": "CA",            "country": "US",            "locality": "san francisco",            "firstName": "Test",            "lastName": "Testlastname",            "phoneNumber": "4158880000",            "email": "[email protected]",            "postalCode": "94105"        }    },    "processingInformation": {        "actionList": [            "CONSUMER_AUTHENTICATION"        ]    },    "paymentInformation": {        "card": {            "expirationMonth": "05",            "expirationYear": "2029",            "number": "52XXXXXXXXXX28X5"        }    },    "deviceInformation": {        "httpAcceptBrowserValue": "data",        "httpAcceptContent": "pa_http_user_accept_value",        "httpBrowserLanguage": "en_us",        "httpBrowserJavaEnabled": false,        "httpBrowserJavaScriptEnabled": false,        "httpBrowserColorDepth": "24",        "httpBrowserScreenHeight": "864",        "httpBrowserScreenWidth": "1536",        "httpBrowserTimeDifference": "300",        "userAgentBrowserValue": "123"    },    "consumerAuthenticationInformation": {        "deviceChannel": "Browser",        "messageCategory": "80",        "scoreRequest": "N"    }}
{    "_links": {        "authReversal": {            "method": "POST",            "href": "/pts/v2/payments/7455833000666819803209/reversals"        },        "self": {            "method": "GET",            "href": "/pts/v2/payments/7455833000666819803209"        },        "capture": {            "method": "POST",            "href": "/pts/v2/payments/7455833000666819803209/captures"        }    },    "clientReferenceInformation": {        "code": "test"    },    "consumerAuthenticationInformation": {        "eciRaw": "04",        "challengeRequired": "N",        "authenticationTransactionId": "d94pknkLH4BhjWxylay1",        "strongAuthentication": {            "OutageExemptionIndicator": "0"        },        "effectiveAuthenticationType": "FR",        "authorizationPayload": "eyJjb250YWluZXJWZXJzaW9uIjoiMSIsImVjaSI6IjA0IiwiYXV0aGVudGljYXRpb25WYWx1ZSI6IkFKa0JCa2hnUVFBQUFFNGdTRUp5ZFFBQUFBQT0iLCJlZmZlY3RpdmVBdXRoVHlwZSI6IkZSIiwiYWNzT3BlcmF0b3JJRCI6Ik1lcmNoYW50QUNTIiwidGhyZWVEU1JlcXVlc3RvckNoYWxsZW5nZUluZCI6IjAxIiwidHJhbnNTdGF0dXMiOiJVIiwidHJhbnNTdGF0dXNSZWFzb24iOiI4MCIsImRzVHJhbnNJRCI6IjZhMGY0OTFhLWIxMDUtNDk4Zi05OTk3LTgxYTAyYjk5NzFjYSIsImFjc1RyYW5zSUQiOiJlOTFhODQ3Mi0yNGFhLTQ0ZGUtYTU0Yy00YWExNDVlN2NjZDMiLCJtZXNzYWdlVmVyc2lvbiI6IjIuMi4wIiwibWVyY2hhbnROYW1lIjoiUEFUZXN0NCIsInB1cmNoYXNlRGF0ZSI6IjIwMjUwNDI1MTIxNTAxIiwicHVyY2hhc2VBbW91bnQiOiIxMDk5IiwibWVyY2hhbnRDb3VudHJ5Q29kZSI6Ijg0MCIsImFjcXVpcmVyQklOIjoiNDY5MjE2IiwiYWNxdWlyZXJNZXJjaGFudElEIjoiZGVmYXVsdCIsInRocmVlRFNSZXF1ZXN0b3JOYW1lIjoiUEFUZXN0NCIsInRocmVlRFNSZXF1ZXN0b3JJRCI6IjEwMDUyMjM2KjU1ZWYzZWZiZjcyM2FhNDMxYzk5YWM0ZCIsImNhcmRCcmFuZCI6Ik1BU1RFUkNBUkQifQ==",        "signedParesStatusReason": "80",        "token": "Axj/7wSTlC5342kEkThJAEQs3aNWrhmzYMGDZs2cMXLhgzZMHKaLtwTRfAk0Xbgmi/pAuJaf3DJtjijj5UakLAtJyhc78bSCSJwkgAAA4wBh",        "paresStatus": "U",        "acsReferenceNumber": "CardinalACS",        "ucafCollectionIndicator": "4",        "ucafAuthenticationData": "AJkBBkhgQQAAAE4gSEJydQAAAAA=",        "directoryServerTransactionId": "6a0f491a-b105-498f-9997-81a02b9971ca",        "veresEnrolled": "Y",        "threeDSServerTransactionId": "319f6440-64d6-4d49-bd27-d190bd418599",        "acsOperatorID": "MerchantACS",        "ecommerceIndicator": "spa",        "specificationVersion": "2.2.0",        "acsTransactionId": "e91a8472-24aa-44de-a54c-4aa145e7ccd3"    },    "id": "7455833000666819803209",    "issuerInformation": {        "clearingData": "6700040102F0F1"    },    "orderInformation": {        "amountDetails": {            "authorizedAmount": "10.99",            "currency": "USD"        }    },    "paymentAccountInformation": {        "card": {            "brandName": "MASTERCARD",            "type": "002"        }    },    "paymentInformation": {        "tokenizedCard": {            "type": "002"        },        "card": {            "bin": "520000",            "type": "002"        }    },    "processorInformation": {        "systemTraceAuditNumber": "061923",        "approvalCode": "831000",        "merchantAdvice": {            "code": "01",            "codeRaw": "M001"        },        "responseDetails": "ABC",        "networkTransactionId": "0425MCC444569",        "retrievalReferenceNumber": "511512061923",        "consumerAuthenticationResponse": {            "code": "2",            "codeRaw": "2"        },        "transactionId": "0425MCC444569",        "responseCode": "00",        "avs": {            "code": "Y",            "codeRaw": "Y"        }    },    "reconciliationId": "7455833000666819803209",    "status": "AUTHORIZED",    "submitTimeUtc": "2025-04-25T12:15:03Z",    "tokenInformation": {        "additionalInformation": "0"    }}

Required Fields for Mastercard IDCI

Required Fields for Mastercard IDCI
buyerInformation.mobilePhone string

This field is required (when available) if buyerInformation.workPhone is not used.

buyerInformation.workPhone string

This field is required (when available) if buyerInformation.mobilePhone is not used.

clientReferenceInformation.code string
consumerAuthenticationInformation.messageCategory string

Set to 80 for IDCI.

deviceInformation.httpAcceptBrowserValue string
deviceInformation.httpAcceptContent string
deviceInformation.httpBrowserColorDepth string
deviceInformation.httpBrowserJavaEnabled boolean
deviceInformation.httpBrowserJavaScriptEnabled boolean
deviceInformation.httpBrowserLanguage string
deviceInformation.httpBrowserScreenHeight string
deviceInformation.httpBrowserScreenWidth string
deviceInformation.httpBrowserTimeDifference string
deviceInformation.ipAddress string
deviceInformation.userAgentBrowserValue string
orderInformation.amountDetails.currency string
orderInformation.amountDetails.totalAmount string
orderInformation.billTo.address1 string
orderInformation.billTo.administrativeArea string
orderInformation.billTo.country string
orderInformation.billTo.email string
orderInformation.billTo.firstName string
orderInformation.billTo.lastName string
orderInformation.billTo.locality string
orderInformation.billTo.postalCode string
paymentInformation.card.expirationMonth string
paymentInformation.card.expirationYear string
paymentInformation.card.number string

Last published: October 28, 2026

Not available for your audience

This page isn't available for your current audience selection.